Skip to main content
PUT
/
conversations
/
{conversation_id}
/
read-state
Update Read State
curl --request PUT \
  --url https://api.veryfront.com/conversations/{conversation_id}/read-state \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "last_read_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "unread_count": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversation_id
string<uuid>
required

Body

application/json
message_id
string<uuid>
required

Response

200 - application/json

Updated read state

last_read_message_id
string<uuid> | null
required
unread_count
integer
required
Required range: x >= 0